﻿@model MVCGettingStarted.Models.Recipe

@{
    ViewBag.Title = Model.Name;
}

<br />
<h1>
    @Html.DisplayFor(model => model.Name)
    <a href="@Url.Action("Edit", new { id = Model.Uid })" class="myrecipes-recipes-add">
        <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
    </a>
</h1>
<br />
<div class="row">
    <div class="col-md-6">
        <div class="list-group">
            @foreach (var ingredient in Model.Ingredients)
            {
                <div class="list-group-item" style="background-color: transparent; font-size: large;">
                    @Html.DisplayFor(model => ingredient.Ingredient.Name)
                    <span style="float: right;">@Html.DisplayFor(model => ingredient.Quantity) @Html.DisplayFor(model => ingredient.Ingredient.MeasurementUnit.Shorthand)</span>
                </div>
            }
        </div>
    </div>
    <div class="col-md-6">
        <h3 style="margin-top: 0;">@Html.DisplayNameFor(model => model.Steps)</h3>
        <ol style="font-size: 1.2em;">
            @foreach (var step in Model.Steps.OrderBy(step => step.Order))
            {
                <li>@Html.DisplayFor(model => step.Content)</li>
            }
        </ol>
    </div>
</div>
